idevicediagnostics(1)

NAME
idevicediagnostics - Interact with the diagnostics interface of a device.

SYNOPSIS
idevicediagnostics [OPTIONS] COMMAND

DESCRIPTION
Interact with the diagnostics interface of a device which allows to retrive all kinds of information including diagnostics data, mobilegestalt data, remote access to the IORegistry and certain commands like restart, shutdown and sleep. Only available for iOS 4 and later. Accessing IORegistry is only supported on iOS 5 and later.

OPTIONS

-u, --udid UDID
    target specific device by its 40-digit device UDID.

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

COMMANDS

diagnostics [TYPE]
    print diagnostics information from device optionally by TYPE. This includes "All", "WiFi", "GasGauge" or "NAND". Default is "All".

mobilegestalt KEY [...]
    print values of mobilegestalt keys passed as arguments after the command and seperated by a space.

ioreg [PLANE]
    print IORegistry of device, optionally by PLANE like "IODeviceTree", "IOPower"
     or "IOService". Only available on iOS 5 and later.

shutdown
    shutdown device

restart
    restart device

sleep
    put device into sleep mode which also disconnects it from the host.

AUTHORS
Martin Szulecki

ON THE WEB
http://libimobiledevice.org